<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    IPPANEL
*  @copyright 2020 ippanel
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/
if (!class_exists('jDateTime')) {
	include_once('jDateTime.php');
}

$welcomePage = '';
// if (isset($this->context->cookie->redirect_errors)){
	// $welcomePage .= implode('<br/>',$this->context->cookie->redirect_errors);
// }
$welcomePage .= '<div class="panel" id="fieldset_welcome">
	<div class="panel-heading">
		<i class="icon-flag"></i>
		'.$this->l('Welcome').' - (نسخه شما: '.$this->version.')
	</div>
	<div class="content">
	<p>'.$this->l('Welcome to Ippanel SMS module for Prestashop. You can have the best exprience of using SMS module to develope your business.').'</p>';
$gatewayDescription = $gatewayDescription.$gatewayWarning.$gatewaySuccess.$gatewayError;
$welcomePage .= '<div class="alert alert-info">';
$welcomePage .= '<b>'.$this->l('Gateway alert').' :</b> '.$gatewayDescription;
if(Configuration::get($this->prefix . 'ADMINPHONE') == '') {
	$welcomePage .= '<p>'.$this->l('* You should add a mobile number for admin at Gateway Settings page to recieve admin alerts.').'</p>';
}
$welcomePage .= '</div>';

/**********بک آپ از تنظیمات*********/
$welcomePage .= '
<div class="panel panel-default">
   <div class="panel-heading" style="white-space: unset;">
      <i class="icon-film" style="margin: 10px 5px;"></i><b data-toggle="collapse" data-target="#collapsed-target-teaching" style="cursor: pointer;">پشتیبان گیری و بازگردانی تنظیمات افزونه</b>
   </div>
	<div class="panel-body collapse in" id="collapsed-target-teaching">
		<p>در صورتی که به هر علت نیاز به نصب مجدد افزونه در این سایت یا سایت دیگر خود داشته باشید می توانید تنظیمات خود در این افزونه را با کلیک بر روی دکمه پشتیبان گیری زیر به صورت یک متن دریافت نمایید و برای بازگردانی تنظیمات از دکمه بازگردانی تنظیمات استفاده نمایید.</p>
		<div style="text-align: center;">
			<button class="backupIppanelSmsData" data-action="backupIppanelSmsData" title="تهیه نسخه پشتیبان">پشتیبان گیری - Backup</button>
			<button class="restoreIppanelSmsData" data-action="restoreIppanelSmsData" title="بازگردانی تنظیمات">بازگردانی تنظیمات - Restore</button>
		</div>


	</div>
</div>
<div class="modal fade" id="ippanelModal">
	  <div class="modal-dialog">
		<div class="modal-content">
		  <div class="modal-header">
			<button type="button" class="close modal-clear" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
			<h4 class="modal-title"></h4>
		  </div>
		  <div class="modal-body">
			<center><span class="loader"></span></center>
		  </div>
		  <div class="modal-footer">
			<button type="button" class="btn btn-default modal-clear" data-dismiss="modal">'.$this->l('Close').'</button>
			
		  </div>
		</div><!-- /.modal-content -->
	  </div><!-- /.modal-dialog -->
	</div><!-- /.modal -->';
/**************** دانلود فایل آموزش ************/
$welcomePage .= '
<div class="panel panel-default">
   <div class="panel-heading" style="white-space: unset;">
      <i class="icon-film" style="margin: 10px 5px;"></i><b data-toggle="collapse" data-target="#collapsed-target-teaching" style="cursor: pointer;">آموزش افزونه</b>
   </div>
	<div class="panel-body collapse in" id="collapsed-target-teaching">
	<p>در این افزونه سعی شده با توضیحات زیر گزینه ها و کادرها و همچنین tooltip ها آموزش لازم برای استفاده از امکانات آن ارائه شود. با این حال برای آشنایی بهتر و کاملتر شما فایل PDF آموزش استفاده از این افزونه را می توانید از طریق لینک زیر دانلود نمایید.<br> ندانستن برخی ریزه کاری ها در مورد این افزونه ممکن است هزینه پیامکی شما را بالا ببرد یا باعث آزرده خاطر شدن مشتریان شما شود. بنابراین پیشنهاد می کنیم حداقل یکبار آموزش های این فایل را مطالعه نمایید:</p>
	<div style="text-align: center;">
	<div class="panel-teaching-wrapper">
<a href="'.$this->_path.'ippanelsms-document.pdf" target="_blank" style="color: rgb(255, 255, 255); text-decoration: none;">
	<span>
		<i class="icon-check"></i>
		<span class="teaching-label">دانلود فایل PDF آموزش افزونه</span>
	</span>
	</a>
</div>
</div>


	   </div>
</div>';
$welcomePage .= '</div></div>';	
