<?php
/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
*
*  @author    IPPANEL
*  @copyright 2020 ippanel
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/
$preparedSMSTexts = $this->getAllPreparedSMSText();
	$preparedText[0]['id'] = 0;
	$preparedText[0]['name'] = 'برای استفاده از متن پیش فرض یک مورد را انتخاب نمایید.';
	foreach ($preparedSMSTexts as $preparedSMSText)
	{
			$preparedText[$preparedSMSText['id']]['id'] = $preparedSMSText['text'];
			$preparedText[$preparedSMSText['id']]['name'] = $preparedSMSText['text'];
	}
$fields_form_send_sms = array(
	'form' => array(
		'legend' => array(
			'title' => $this->l('Send SMS'),
			'icon' => 'icon-paper-plane'
		),
		'input' => array(
			array(
				'type' => 'textarea',
				'label' => $this->l('Sent to:'),
				'name' => 'RECIVER',
				'class' => '',
				'desc' => $this->l('To send multiple sms, saperate numbers with ; ex:09123456789;09101234567.'),
			),
			array(
				'type' => 'text',
				'label' => $this->l('Sms number:'),
				'name' => 'SMSNUMBER',
				'class' => 'fixed-width-lg',
				'value' => '5000125475',
				'desc' => $this->l('Which number should be used to send this sms. ex: +985000XXXXXXX'),
			),
			array(
				'type' => 'select',
				'label' => $this->l('Prepared Texts'),
				'desc' => $this->l('Select One of theme if you want.'),
				'name' => 'PREPAREDTEXT',
				'class' => 'preparedText',
				'required' => false,
				'default_value' => 0,
				
				'options' => array(
					'query' => $preparedText,
					'id' => 'id',
					'name' => 'name',
				)
			),
			array(
				'type' => 'textarea',
				'label' => $this->l('Text message:'),
				'name' => 'SENDONETEXT',
				'class' => '',
				'desc' => $this->l('Type SMS text.'),
			),
		),
		'submit' => array(
			'title' => $this->l('Send SMS'),
			'name' => 'sendsms',
			'icon' => 'process-icon-envelope',
		)
	),
);